Package be.fgov.ehealth.globalmedicalfile.core.v1

# Class ValueRefString

java.lang.Object
be.fgov.ehealth.globalmedicalfile.core.v1.ValueRefString

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:55+02:00", comments="JAXB RI v4.0.5") public class ValueRefString extends Object implements Serializable
Elements of this type do not require any content, instead it is also possible to refer to another element in the same document with the same values. The referencee should specify and id, and the referencer should specify a ref-attribute.

Java class for ValueRefString complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ValueRefString">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="ValueRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueRefString()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  Gets the value of the value property.
  `String`
  `getValueRef()`
  A XPoiter reference to another element with the same type.
  `void`
  `setValue(String value)`
  Sets the value of the value property.
  `void`
  `setValueRef(String value)`
  Sets the value of the valueRef property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValueRefString

    public ValueRefString()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValueRef

    public String getValueRef()
    A XPoiter reference to another element with the same type. When this is present, the content of the element should be empty. MyCareNet will substitute the content of this element by the result of the XPointer. The XPointer should result in a node-set that is compliant with the type of this element. XPointer is a W3C standard that is commonly used to reference other elements. This is for example used by the XMLDSig standard, although it only requires a sub-section to be implemented. See service catalogue for more information.
    Returns:
      possible object is `String`

  - ### setValueRef

    public void setValueRef(String value)
    Sets the value of the valueRef property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getValueRef()`